Language

Package: perl-class-load @ 0.25

Synopsis

Working (require "Class::Name") and more

Description

"require EXPR" only accepts Class/Name.pm style module names, not Class::Name. For that, this module provides "load_class 'Class::Name'".

Home page
https://metacpan.org/release/Class-Load
Location
gnu/packages/perl.scm (line: 1546, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/2ixzr60mbp456gjvm8k04pbahif4mjn4-perl-class-load-0.25.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/n3skyr5nxx4znbbm19h3i5j0nir24aw4-perl-class-load-0.25.drv
x86_64-linuxriscv64-linux-gnu/gnu/store/ybcybsc0bdcpjk3xm01ra5c9f0v1kgd7-perl-class-load-0.25.drv
x86_64-linuxpowerpc-linux-gnu/gnu/store/7z9p3ldm5spwcpp5vpbpydxv0ag4d637-perl-class-load-0.25.drv
x86_64-linuxpowerpc64le-linux-gnu/gnu/store/y0g0a9zgkgxaakk7rjvi2wb6zd5471z7-perl-class-load-0.25.drv
x86_64-linuxmips64el-linux-gnu/gnu/store/5g1qk7yfvma6x9kljzf9fjy497d3azq7-perl-class-load-0.25.drv
x86_64-linuxi686-w64-mingw32/gnu/store/ilah6zr6q2xnrrp8jfh0f9xv5bpk9qqx-perl-class-load-0.25.drv
x86_64-linuxi586-pc-gnu/gnu/store/zmz0yjhychc4vc2cpklqfyrkw56vr8z0-perl-class-load-0.25.drv
x86_64-linuxarm-linux-gnueabihf/gnu/store/qzaqjfc37166yvfmw82143r45bg107p6-perl-class-load-0.25.drv
x86_64-linuxaarch64-linux-gnu/gnu/store/wryc4v5zamvzd50ka7m14aim1i932nl4-perl-class-load-0.25.drv
riscv64-linux/gnu/store/h0mgvnwq625wjjqh09zs7c2l0i9r3ram-perl-class-load-0.25.drv
    powerpc-linux/gnu/store/5x4bx1ahvaprmrac267cwyi8xgrycwmg-perl-class-load-0.25.drv
      powerpc64le-linux/gnu/store/52f0x4fz3z2ygw433cq3kc089cfp1c9j-perl-class-load-0.25.drv
      mips64el-linux/gnu/store/h4rs4w7m0lps0p69jdfxphxa949raf67-perl-class-load-0.25.drv
        i686-linux/gnu/store/30x32aawjx7fyrbx6b74wrhpgzm9hgll-perl-class-load-0.25.drv
        i586-gnu/gnu/store/g9dvc6xd5xr8wiy25lnmpl90wwca9jml-perl-class-load-0.25.drv
        armhf-linux/gnu/store/j6srfg4dfhhrmqir8blvv2wl5mx6k0w5-perl-class-load-0.25.drv
        aarch64-linux/gnu/store/hhp5lwwmxm98iyg757mks3zsqad1fzb0-perl-class-load-0.25.drv

        Lint warnings

        LinterMessageLocation
        description

        Validate package descriptions

        use @code or similar ornament instead of quotes